Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks.whitespace
Class PadOption

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.AbstractOption
          com.puppycrawl.tools.checkstyle.checks.whitespace.PadOption

All Implemented Interfaces:
  Serializable

    public final class PadOption

extends AbstractOption

Represents the options for whitespace around parentheses.

Version:
  1
Author:
  Oliver Burn
See Also:
  `EmptyForIteratorPadCheck`, `ParenPadCheck`, Serialized Form

Field Summary
`static PadOption` | `NOSPACE` Represents no spacing following a left parenthesis or preceding a right one.
`static PadOption` | `SPACE` Represents mandatory spacing following a left parenthesis and preceeing a right one.

Method Summary
`protected Map` | `getStrToOpt()` Returns the map from string representations to options.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractOption
`decode, readResolve, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOSPACE

    public static final PadOption NOSPACE

  Represents no spacing following a left parenthesis or preceding a right one.

### SPACE

    public static final PadOption SPACE

  Represents mandatory spacing following a left parenthesis and preceeing a right one.

Method Detail

### getStrToOpt

    protected Map getStrToOpt()

  Returns the map from string representations to options.

  Specified by:
    `getStrToOpt` in class `AbstractOption`
  Returns:
    `Map` from strings to options.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD